// simple render of image as a heightfield
camera
{
	location	<15 25 10>
	look_at		< 0  0  0>
}

height_field
{
	pgm	"foo.pgm"
	smooth
	texture
	{
		finish
		{
			ambient 0.2
			diffuse 0.6
		}
		pigment { rgb <0.1 1 0.01> }
	}

	translate <-0.5, -0.0001, -0.5>
	scale <40, 2.5, 40>
}

plane
{
	< 0 1 0 > , 0

	texture
	{
		finish
		{
			ambient	0.2
			diffuse	0.6
		}
		pigment { rgb <0.1 0.2 1> }
	}
}

// light source stuff
global_settings
{
	ambient_light	<1 1 1>
}

// a point light to represent the sun
light_source
{
	<-10, 400, 500>,
	rgb <1 1 1>
}
/*
// an area light to represent the sky
light_source
{
	<0, 1000, 0>
	color rgb <1 1 1>
	area_light <5, 0, 0>, <0, 0, 5>, 4, 4
}

*/
